Skip to main content
GET
Get Onchain Order by Client ID

Authorizations

x-api-key
string
header
required

Path Parameters

clientId
string
required

The unique client-provided identifier for the order

Response

Order details

id
string
required

Unique order intent ID

Example:

"intent_abc123xyz"

clientId
string | null
required

Client-provided order ID

Example:

"client-order-123"

action
object
required

Order action details

Example:
createdAt
string
required

When the order was created

Example:

"2024-01-12T10:00:00.000Z"

status
enum<string>
required
Available options:
pending,
executing,
validated,
completed,
failed
Example:

"validated"

balanceValidatedAt
string | null
required

When balance was validated

Example:

"2024-01-12T10:00:05.000Z"

txnFilledAt
string | null
required

When transaction was filled

Example:

"2024-01-12T10:00:10.000Z"

transactionHash
string | null
required

Blockchain transaction hash

Example:

"0xabc123..."

isComplete
boolean
required

Whether the order is complete

Example:

false

terminationReason
string | null
required

Reason for termination if failed

Example:

null